Bug 1298828 - [abrt] qemu-img: get_block_status(): qemu-img killed by SIGABRT
Summary: [abrt] qemu-img: get_block_status(): qemu-img killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.2
Hardware: x86_64
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Max Reitz
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1283116
Blocks: 1283278
TreeView+ depends on / blocked
 
Reported: 2016-01-15 08:20 UTC by Jan Kurik
Modified: 2016-02-29 12:17 UTC (History)
15 users (show)

Fixed In Version: qemu-kvm-1.5.3-105.el7_2.2
Doc Type: Bug Fix
Doc Text:
Clone Of: 1283116
Environment:
Last Closed: 2016-01-28 16:15:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0083 normal SHIPPED_LIVE Important: qemu-kvm security and bug fix update 2016-01-28 21:13:53 UTC

Description Jan Kurik 2016-01-15 08:20:24 UTC
This bug has been copied from bug #1283116 and has been proposed
to be backported to 7.2 z-stream (EUS).

Comment 3 Miroslav Rezanina 2016-01-20 13:59:39 UTC
Fix included in qemu-kvm-1.5.3-105.el7_2.2

Comment 5 FuXiangChun 2016-01-22 07:35:11 UTC
Reproduced bug with qemu-img-1.5.3-105.el7.x86_64 & qemu-kvm-1.5.3-105.el7.x86_64

1.# truncate -s 1G test_sparse
2.# echo "a" >> test_sparse
3.# qemu-img map test_sparse
Offset          Length          Mapped to       File
qemu-img: qemu-img.c:1988: get_block_status: Assertion `nb_sectors' failed.
Aborted (core dumped)


verified bug with qemu-img-1.5.3-105.el7_2.2.x86_64

# truncate -s 1G test_sparse
# echo "a" >> test_sparse
# qemu-img map test_sparse
Offset          Length          Mapped to       File
0x40000000      0x200           0x40000000      test_sparse

According to this result.  This bug is fixed.

Comment 10 errata-xmlrpc 2016-01-28 16:15:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0083.html


Note You need to log in before you can comment on or make changes to this bug.